cli.exchange
POST /api/v1/cli/exchange. No authentication. Body limit: 256 KB.
POST
/api/v1/cli/exchange
Code sample: Shell / cURL
curl --request POST \ --url https://app.intraface.cc/api/v1/cli/exchange \ --header 'Content-Type: application/json' \ --data '{ "code": "example", "code_verifier": "example" }'No authentication. Body limit: 256 KB.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
code
required
string
code_verifier
required
string
Example generated
{ "code": "example", "code_verifier": "example"}Responses
Section titled “Responses”Success.
Media typeapplication/json
object
token
required
string
record
required
object
id
required
string format: uuid
label
required
string
agent
required
string | null
scopes
required
Array<string>
board_ids
required
Any of:
Array<string>
null
expired
boolean
created_at
required
string format: date-time
Example
{ "record": { "scopes": [ "boards:read" ], "expired": false }}default
Section titled “default”Any error: see error.code.
Media typeapplication/json
object
error
required
object
code
required
A stable error code: see the error codes table in the API overview.
string
message
required
string
hint
string
details
Example generated
{ "error": { "code": "example", "message": "example", "hint": "example", "details": "example" }}